Add reactions to a Social Selling post
curl --request POST \
--url https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reactions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 250,
"identityIds": [
123
],
"reactionTypes": [],
"skipAuthor": true
}
'import requests
url = "https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reactions"
payload = {
"amount": 250,
"identityIds": [123],
"reactionTypes": [],
"skipAuthor": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 250, identityIds: [123], reactionTypes: [], skipAuthor: true})
};
fetch('https://openapi.enginy.ai/v1/social-selling/posts/{postId}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"postId": 123,
"publishingPostId": 123,
"amount": 123,
"identityIds": [
123
],
"appUrl": "<string>"
}
}Social Selling
Add reactions to a Social Selling post
Schedule automatic reactions on a tracked post from your connected LinkedIn identities. Pass amount to draw from the identities allowed to react in this workspace, or identityIds to react from specific identities. Reactions are spread over time and never come from the post author unless skipAuthor is false.
Required scope:
SOCIAL_SELLING_WRITERate limit: 30 requests per minute
POST
/
v1
/
social-selling
/
posts
/
{postId}
/
reactions
Add reactions to a Social Selling post
Authorizations
Path Parameters
Tracked post id (id in the posts list).
Body
application/json
How many reactions to add from the available identity pool.
Required range:
1 <= x <= 500React from exactly these identities instead of the pool.
Required array length:
1 - 500 elementsReaction kinds to spread across. Defaults to the LinkedIn mix.
Minimum array length:
1Available options:
LIKE, PRAISE, EMPATHY, INTEREST, APPRECIATION, ENTERTAINMENT Never react with the post's own author. On by default.